Simple Machines Community Forum

Simple Machines => News and Updates => Topic started by: Compuart on April 30, 2008, 10:05:25 PM

Title: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on April 30, 2008, 10:05:25 PM
Simple Machines is proud to announce the release of SMF 1.1.5.

This version addresses a few security issues and fixes some small bugs.

We encourage all users to upgrade to SMF 1.1.5 as soon as possible, by either using the fast install option from the admin panel, or manually applying the changes attached to this message.

Among other things, this version fixes the following issues:
* Sanitation of $topic wasn't always done right.
* Increased the randomness of the Captcha sound.
* Require the Memcached version that's compiled into PHP to ensure a better performance.
* Improved the random generator seeding for PHP < 4.2.0 - issue reported by Jessica Hope.
* Fixed a vulnerability with the use of the html-tag - issue reported by Jessica Hope.
* Fixed the CRC function not working properly on 64-bit systems.
* Fixed remembering the infocenter collapse status for guests.
* Don't send the admin a new registration email just because a member changed their email address.


SMF 1.1.4 users:  Upgrading could not be easier. Simply log into your forum and visit your admin center - a notice should inform you an update is available. Follow the instructions to patch your release - this should not generally affect any modifications, language packs or themes you have installed. Alternatively download the attached patch file, upload to your "Packages" directory and visit the package manager to install this fix.

If you cannot upgrade using the package manager, please follow the instructions posted in the Online Manual about installing and upgrading.

SMF 1.0.12 users:  A separate version has been released: 1.0.13. Just like the 1.1.x branch users, you can simply upgrade through the admin center or download and apply the attached patch.

SMF 2.0 beta 3 users: The same goes for members currently running SMF 2.0 beta 3. They can upgrade to SMF 2.0 beta 3.1 through the admin center or by downloading and applying the attached patch.

Finally - please do not use this topic for any support requests. You will get a much more prompt response by visiting the relevant support board!

Thanks,

Simple Machines
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: cblaber on April 30, 2008, 10:08:52 PM
Great Work! Thanks. :)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: karlbenson on April 30, 2008, 10:34:28 PM
Cool.  I'll begin applying it proper to my sites now.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on April 30, 2008, 10:39:31 PM
WOW! Upgrading right now!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on April 30, 2008, 10:42:48 PM
22.     Execute Modification     ./Sources/Subs-Package.php     Test failed

Is it MOD related?

EDIT: discussing here: http://www.simplemachines.org/community/index.php?topic=236822.0
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: SleePy on April 30, 2008, 10:48:16 PM
It may be a mod issue. I was able to install the patch just fine on my forum which has a lot of mods itself as well :) But please ask in support forums instead of here.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jesrey.pacoin on April 30, 2008, 10:54:16 PM
just finished my upgrade, and well it works fine. thanks to you guys
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: !Hachi! on April 30, 2008, 10:58:41 PM
Thanks guys.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: karlbenson on April 30, 2008, 11:05:09 PM
22.     Execute Modification     ./Sources/Subs-Package.php     Test failed

Is it MOD related?
Open ./Sources/Subs-Package.php and  check whether it says
* Software Version:           SMF 1.1.3                                           *
rather than
* Software Version:           SMF 1.1.2                                           *
which the package was expecting.

Thats what a friend had on his install with 1.1.5 that I've just had to fix on that exact file.
Although I didn't have to do that on my own.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: aldo on April 30, 2008, 11:57:26 PM
Sweetness! ^__^

Going to update right now

http://digg.com/programming/SMF_1_1_5_and_2_0_Beta_3_1 Couldn't resist ;)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: RoarinRow on May 01, 2008, 12:43:26 AM
Cool, thank you!   8)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: xyxis_fahim on May 01, 2008, 12:48:20 AM
damn I wish I didn't have upgraded to 2.0 :(
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: aldo on May 01, 2008, 12:52:15 AM
damn I wish I didn't have upgraded to 2.0 :(
Why? There is a patch attachment to update 2.0 Beta 3 to 2.0 Beta 3.1 ;)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Eliana Tamerin on May 01, 2008, 12:57:45 AM
I'm shocked, I had no need to manually edit any files, even on my heavily modified forum. Best. Upgrade. Ever.

:D
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: SleePy on May 01, 2008, 01:24:50 AM
Well I do know that the following mod has to be uninstalled prior to updating to 1.1.5 this is fixed in 1.1.5.
http://custom.simplemachines.org/mods/index.php?mod=976

But the developers do try their best to get around such needs to hopefully work without uninstalling mods or manually applying the patch.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Abaliini on May 01, 2008, 01:38:47 AM
Nice work, thanks.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Eliana Tamerin on May 01, 2008, 01:47:07 AM
But the developers do try their best to get around such needs to hopefully work without uninstalling mods or manually applying the patch.

And a wonderful job they did.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 02:33:10 AM
This was a real surprise. Upgraded without any problems. Thanks for the update.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Sabreā„¢ on May 01, 2008, 03:35:10 AM
Wow!!
That was terribly easy!
Thank You :)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: tugori on May 01, 2008, 04:41:51 AM
Hi!

What about the BRD-Error? Is it fixed also?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Aaron on May 01, 2008, 05:27:16 AM
Upgrading went as seamlessly as always. Great work as usual, devs. :)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Aleksi "Lex" Kilpinen on May 01, 2008, 05:34:02 AM
Great, thank you guys! :)

Updating took about 2 seconds from logging to my admin cp, to being up to date. :D
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 06:41:13 AM
Compuart, is the attached package changed?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 06:48:17 AM
I've uploaded a package that should fix the problem some people were having with Subs-Package.php failing. If you've already upgraded without a problem, then you don't need to do anything further.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 06:50:24 AM
Ahh, okay, I got it.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: LinkinParkBoy on May 01, 2008, 06:50:37 AM
Good Job Dev ;)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on May 01, 2008, 06:51:41 AM
I've uploaded a package that should fix the problem some people were having with Subs-Package.php failing. If you've already upgraded without a problem, then you don't need to do anything further.
Yes! Uploaded and updated now without a problem! Thanks!
BTW could you tell us what changed?  Just to learn a little bit...
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: humbleworld on May 01, 2008, 06:57:09 AM
I will wait for fantastico to upgrade it. Should I remove the MODS before I upgrade to 1.1.5?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: john34516 on May 01, 2008, 06:57:40 AM
Execute Modification     ./index.php     Test successful
2.    Execute Modification    ./Sources/Admin.php    Test successful
3.    Execute Modification    ./Sources/Calendar.php    Test successful
4.    Execute Modification    ./Sources/Karma.php    Test successful
5.    Execute Modification    ./Sources/Load.php    Test successful
6.    Execute Modification    ./Sources/ManageNews.php    Test successful
7.    Execute Modification    ./Sources/ManagePermissions.php    Test successful
8.    Execute Modification    ./Sources/ManageServer.php    Test successful
9.    Execute Modification    ./Sources/PersonalMessage.php    Test successful
10.    Execute Modification    ./Sources/Post.php    Test successful
11.    Execute Modification    ./Sources/Profile.php    Test successful
12.    Execute Modification    ./Sources/QueryString.php    Test successful
13.    Execute Modification    ./Sources/Recent.php    Test successful
14.    Execute Modification    ./Sources/Register.php    Test successful
15.    Execute Modification    ./Sources/RemoveTopic.php    Test successful
16.    Execute Modification    ./Sources/Search.php    Test successful
17.    Execute Modification    ./Sources/Security.php    Test successful
18.    Execute Modification    ./Sources/Subs-Boards.php    Test successful
19.    Execute Modification    ./Sources/Subs-Compat.php    Test successful
20.    Execute Modification    ./Sources/Subs-Graphics.php    Test successful
21.    Execute Modification    ./Sources/Subs-Members.php    Test successful
22.    Execute Modification    ./Sources/Subs-Package.php    Test successful
23.    Execute Modification    ./Sources/Subs-Post.php    Test successful
24.    Execute Modification    ./Sources/Subs-Sound.php    Test successful
25.    Execute Modification    ./Sources/Subs.php    Test successful
26.    Execute Modification    ./Themes/default/index.template.php    Test successful
27.    Execute Modification    ./Themes/default/Post.template.php    Test successful
28.    Execute Modification    ./Themes/default/Recent.template.php    Test successful
29.    Execute Modification    ./Themes/default/Register.template.php    Test successful
30.    Execute Modification    ./Themes/default/style.css    Test successful
31.    Execute Modification    ./SSI.php    Test failed                -----------------------------------------------------------
32.    Execute Modification    ./Themes/default/languages/index.english.php    Test successful
33.    Execute Modification    ./Themes/default/languages/ModSettings.english.php    Test successful
34.    Execute Modification    ./Sources/QueryString.php    Test successful
35.    Execute Modification    ./Sources/Search.php    Test successful
36.    Execute Modification    ./Sources/Post.php    Test successful
37.    Execute Modification    ./Sources/Subs-Post.php    Test successful
38.    Execute Modification    ./Sources/Subs-Package.php    Test successful

why? what i have to do?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 07:03:01 AM
I've uploaded a package that should fix the problem some people were having with Subs-Package.php failing. If you've already upgraded without a problem, then you don't need to do anything further.
Yes! Uploaded and updated now without a problem! Thanks!
BTW could you tell us what changed?  Just to learn a little bit...
I've moved the modification from the boardmod file to the smf_1-1-5_can_fail.xml file. The xml-format allows to specify that if a modification cannot be found it can be ignored. The specific section looks like:
Code: [Select]
<file name="$sourcedir/Subs-Package.php">
<!--
There are two possible versions around, take your pick.
-->
<operation error="ignore">
<search position="replace"><![CDATA[
* Software Version:           SMF 1.1.2                                           *
]]></search>
<add><![CDATA[
* Software Version:           SMF 1.1.5                                           *
]]></add>
</operation>
<operation error="ignore">
<search position="replace"><![CDATA[
* Software Version:           SMF 1.1.3                                           *
]]></search>
<add><![CDATA[
* Software Version:           SMF 1.1.5                                           *
]]></add>
</operation>
</file>

Whether the version of Subs-Package.php is 1.1.2 or 1.1.3, both will be updated to 1.1.5.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 07:06:45 AM
why? what i have to do?
Might be a modification that prevents you installing the package. Create a topic in the support boards.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: mort on May 01, 2008, 07:14:59 AM
Great job folks! ;) I've been running smf for 10 hours after converting (from Yabb 2.2.1) and already I've been able to enjoy a painless update!

Bye bye Yabb... Nice knowing you... !!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: humbleworld on May 01, 2008, 07:45:27 AM
I just upgraded to 1.1.5 after I made a full back-up of my SMF folder. The upgrade was as smooth as Baskin-Robbins Ice Cream. :)

SMF rocks! God bless the developers! and the SMF Community!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: michelangelo on May 01, 2008, 08:27:36 AM
This gives me quite a headache:

I tried to upgrade smf 1.1.4 to 1.1.5 using the package manager. Can anybody tell me how exactly the test works and how i can solve the problem? (Maybe manually upgrading the code)

26.   Execute Modification   ./Themes/default/index.template.php   Test failed
32.   Execute Modification   ./Themes/default/languages/index.english.php Test failed
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on May 01, 2008, 08:35:52 AM
WOW.
Just notice this in my forum:

Database Error
Unknown column 'p.ID_BOARD' in 'field list'
File: /home/ossanai/public_html/forum/SSI.php
Line: 1022

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.5, while your database is at version 1.1.4. The above error might possibly go away if you execute the latest version of upgrade.php.

ok, which upgrade.php should I run?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Eliana Tamerin on May 01, 2008, 08:42:15 AM
This gives me quite a headache:

I tried to upgrade smf 1.1.4 to 1.1.5 using the package manager. Can anybody tell me how exactly the test works and how i can solve the problem? (Maybe manually upgrading the code)

26.   Execute Modification   ./Themes/default/index.template.php   Test failed
32.   Execute Modification   ./Themes/default/languages/index.english.php Test failed

Either manually upgrade those two files and then apply the package, or manually upgrade all the files and neglect the package.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Hanna Iris on May 01, 2008, 09:00:36 AM
Erm...Did I miss something or why is the Finnish  language file for SMF 1.1.5 in English instead of Finnish. Messed up my upgrade, luckily I had a back-up.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 09:04:50 AM
Compuart, I new package again?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 09:06:47 AM
WOW.
Just notice this in my forum:

Database Error
Unknown column 'p.ID_BOARD' in 'field list'
File: /home/ossanai/public_html/forum/SSI.php
Line: 1022

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.5, while your database is at version 1.1.4. The above error might possibly go away if you execute the latest version of upgrade.php.

ok, which upgrade.php should I run?
This appears to be a bug in the upgrade. Please upload the attached SSI.php or rerun the upgrade with the patch from the first message of this topic.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Aleksi "Lex" Kilpinen on May 01, 2008, 09:07:26 AM
Erm...Did I miss something or why is the Finnish  language file for SMF 1.1.5 in English instead of Finnish. Messed up my upgrade, luckily I had a back-up.
http://www.simplemachines.org/community/index.php?topic=236862.msg1526399#msg1526399
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 09:08:26 AM
Compuart, I new package again?
You're fast :P

The reason for it is related to a bug in the upgrade with regard to SSI.php (http://www.simplemachines.org/community/index.php?topic=236816.msg1526492#msg1526492). Should be fixed with the current upgrade package.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 09:11:04 AM
Compuart, I new package again?
You're fast :P

Not as fast as you. :P It's just luck. lol

Should we upgrade again?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 09:18:50 AM

Not as fast as you. :P It's just luck. lol

Should we upgrade again?
It's only necessary if you use the SSI functions. In that case simply replace SSI.php with the version from this message (http://www.simplemachines.org/community/index.php?topic=236816.msg1526492#msg1526492) or uninstall the current patch, upload the one from the first message to the Packages directory, and apply the patch again.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Amacythe on May 01, 2008, 09:23:51 AM
Congrats and thanks for all the hard work :)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on May 01, 2008, 09:26:04 AM
WOW.
Just notice this in my forum:

Database Error
Unknown column 'p.ID_BOARD' in 'field list'
File: /home/ossanai/public_html/forum/SSI.php
Line: 1022

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.5, while your database is at version 1.1.4. The above error might possibly go away if you execute the latest version of upgrade.php.

ok, which upgrade.php should I run?
This appears to be a bug in the upgrade. Please upload the attached SSI.php or rerun the upgrade with the patch from the first message of this topic.

Uninstalled 1.1.5
Changed SSI.php
Redownloaded patch and tried to reinstall it;
Execute Modification     ./SSI.php     Test failed
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: [SiNaN] on May 01, 2008, 09:26:52 AM
The updates are a nightmare for the team I guess. :P

jossanaijr, if you have any changes made in you SSI.php file, it would be better to ask for support in the support forums.

Compuart, is the change about the fix about poll that Bugeyes gave before?

http://www.simplemachines.org/community/index.php?topic=135131.msg860679#msg860679
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 09:34:00 AM
WOW.
Just notice this in my forum:

Database Error
Unknown column 'p.ID_BOARD' in 'field list'
File: /home/ossanai/public_html/forum/SSI.php
Line: 1022

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.5, while your database is at version 1.1.4. The above error might possibly go away if you execute the latest version of upgrade.php.

ok, which upgrade.php should I run?
This appears to be a bug in the upgrade. Please upload the attached SSI.php or rerun the upgrade with the patch from the first message of this topic.

Uninstalled 1.1.5
Changed SSI.php
Redownloaded patch and tried to reinstall it;
Execute Modification     ./SSI.php     Test failed
That's probably because you have the 1.1.5 SSI uploaded and are trying to upgrade to 1.1.5. In this case, ignoring the errors and forcing the upgrade patch should be ok.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Compuart on May 01, 2008, 09:34:36 AM
The updates are a nightmare for the team I guess. :P
Tell me about it... ;)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: N3RVE on May 01, 2008, 09:40:21 AM
Thanks for this, Upgrading!!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Minare on May 01, 2008, 09:42:33 AM
didn't expected it to be so simple

not simplemachines

Very simple machines :P
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: jossanaijr on May 01, 2008, 09:42:55 AM
WOW.
Just notice this in my forum:

Database Error
Unknown column 'p.ID_BOARD' in 'field list'
File: /home/ossanai/public_html/forum/SSI.php
Line: 1022

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.5, while your database is at version 1.1.4. The above error might possibly go away if you execute the latest version of upgrade.php.

ok, which upgrade.php should I run?
This appears to be a bug in the upgrade. Please upload the attached SSI.php or rerun the upgrade with the patch from the first message of this topic.

Uninstalled 1.1.5
Changed SSI.php
Redownloaded patch and tried to reinstall it;
Execute Modification     ./SSI.php     Test failed
That's probably because you have the 1.1.5 SSI uploaded and are trying to upgrade to 1.1.5. In this case, ignoring the errors and forcing the upgrade patch should be ok.
yes, it seems to be working fine now. thanks!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: cellax on May 01, 2008, 09:43:55 AM
installed on my forums, all works fine, thx guys
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Fire & Safetyfora on May 01, 2008, 11:14:34 AM
Hello I have a problem:

The software don't tell me were to look:

Updating and creating indexes... Unsuccessful!

This query:
ALTER TABLE smf_smileys
ORDER BY LENGTH(code) DESC;

Caused the error:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'LENGTH(code) DESC' at line 2

What most i do? How can help me?

Greetz Ronald.

sorry for the bad englisch
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Darknico on May 01, 2008, 11:22:03 AM
Thanks!
   
Today is my birthday  :)
Thank you for this present!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: SleePy on May 01, 2008, 11:41:46 AM
For the MySQL look here.
http://docs.simplemachines.org/index.php?topic=1079
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: kangkenyot on May 01, 2008, 11:44:55 AM
i have a problem to update from 1.1.4 to 1.1.5

23.     Execute Modification     ./Sources/Subs-Post.php     Test failed

what i must do?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: kizer on May 01, 2008, 11:49:36 AM
Click, Click done. I love this forum software.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: pizad_sura on May 01, 2008, 12:00:23 PM
I' very happy to hear that !! ^^
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: bozric on May 01, 2008, 12:16:38 PM
Painless update! I'm ecstatic that I made the switch to SMF from phpBB last December - you guys ROCK!

YOU ROCK OUT LOUD!!!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: H on May 01, 2008, 12:30:03 PM
Thanks devs
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: PacificWx on May 01, 2008, 12:33:13 PM
still no luck here - I am constantly getting the corrupted/incompatible message
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: satir on May 01, 2008, 12:37:56 PM
Thanks,

update from 1.1.4 with a german forum also works great.

Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: SleePy on May 01, 2008, 12:38:56 PM
I see you have an open ticket PacificWx.
If I don't get to it later on today I am sure another team member will (I am supposed to be studying for my test :P )
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: PacificWx on May 01, 2008, 12:49:47 PM
yeah, i do, i don't mean to be a pest
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: SleePy on May 01, 2008, 12:53:26 PM
Its not a problem :)
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: ApplianceJunk on May 01, 2008, 01:07:13 PM
i have a problem to update from 1.1.4 to 1.1.5

23.     Execute Modification     ./Sources/Subs-Post.php     Test failed

what i must do?

Same here..
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: metallica48423 on May 01, 2008, 01:21:58 PM
Guys - if you have a problem upgrading... please start a topic in Install and Upgrade Help (http://www.simplemachines.org/community/index.php?board=10.0) -- it is for the convenience and sanity of everyone involved.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: ormuz on May 01, 2008, 01:55:10 PM
I've a costum theme based on the default theme, if I run the uprade I will lose my modifications?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Joomlamz on May 01, 2008, 01:57:32 PM
nice work
thanks
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Sudhakar Arjunan on May 01, 2008, 02:01:24 PM
I've a costum theme based on the default theme, if I run the uprade I will lose my modifications?

yes i do have the same Doubt, i have Custom Theme, Dilber Mc and its based on Default theme only. So will this upgrade does any change and even i had tried to updated through my packages manager from 1.1.4 to 1.1.5 and showed only one SSI.php Error.

So am Really Afraid to cont.

Any Suggestion and please tell me will i have to loose as many mods to upgrade or no mods will be affected when i upgrade to 1.1.5

Thanks in Advance,
Sudhakar, Admin
www.itacumens.com
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: BOS4O on May 01, 2008, 02:19:27 PM
help  ::) ::) ::) ::) ::) ::) ::)

http://lfsbg.net/gallery/3.jpg
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Fire & Safetyfora on May 01, 2008, 02:29:21 PM
For the MySQL look here.
http://docs.simplemachines.org/index.php?topic=1079

Thank you for your help!

Greetz Ronald.
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: kadinho on May 01, 2008, 02:30:19 PM
Quote
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.

Click here to try again.

I have this error... whatever the forum said 1.1.5  :-\
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Kethra on May 01, 2008, 02:38:29 PM
Wonderful, the upgrade went very smoothly, on all 8 sites I run using SMF.  Two big thumbs up!
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Oldiesmann on May 01, 2008, 02:38:38 PM
I will wait for fantastico to upgrade it. Should I remove the MODS before I upgrade to 1.1.5?

Upgrade now. It's faster and it won't break your mods (Fantastico's upgrade has been known to break things).
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Andres08 on May 01, 2008, 02:51:10 PM
It is first time I can"t upgrade. Should I run install whatever recent fail  failed his direction???

I would also ask what about previous version such as RC and lower. May it delete from forum or it must be there forward.

Andres


Code: [Select]
  Test successful
16. Execute Modification ./Sources/Search.php Test successful
17. Execute Modification ./Sources/Security.php Test successful
18. Execute Modification ./Sources/Subs-Boards.php Test successful
19. Execute Modification ./Sources/Subs-Compat.php Test successful
20. Execute Modification ./Sources/Subs-Graphics.php Test successful
21. Execute Modification ./Sources/Subs-Members.php Test successful
22. Execute Modification ./Sources/Subs-Package.php Test successful
23. Execute Modification ./Sources/Subs-Post.php Test successful
24. Execute Modification ./Sources/Subs-Sound.php Test successful
25. Execute Modification ./Sources/Subs.php Test successful
26. Execute Modification ./Themes/default/index.template.php Test successful
27. Execute Modification ./Themes/default/Post.template.php Test successful
[color=red]28. Execute Modification ./Themes/default/Recent.template.php Test failed [/color]
29. Execute Modification ./Themes/default/Register.template.php Test successful
30. Execute Modification ./Themes/default/style.css Test successful
31. Execute Modification ./SSI.php Test successful
32. Execute Modification ./Themes/default/languages/index.english.php Test successful
33. Execute Modification ./Themes/default/languages/ModSettings.english.php Test successful
34. Execute Modification ./Sources/QueryString.php Test successful
35. Execute Modification ./Sources/Search.php Test successful

Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: klumy on May 01, 2008, 02:55:42 PM
thanks for the new version
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: kadinho on May 01, 2008, 03:06:29 PM
Quote
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.

Click here to try again.

I have this error... whatever the forum said 1.1.5  :-\

any ideias ?
Title: Re: Simple Machines Forum 1.1.5 and 1.0.13 released
Post by: Oldiesmann on May 01, 2008, 03:08:02 PM
Please post all support issues in Install and Upgrade Help (http://www.simplemachines.org/community/index.php?board=10.0). This isn't a support topic.